Update pdf.js to version 0.8.47
+++ This bug was initially created as a clone of Bug #856383 +++

Changes since the last update:
#3021 Add keyboard shortcuts for retest analyzer.
#3003 Restructure/rewrite of the Type1 font parser.
#2945 Add support for appearance streams in annotations
#3026 Updating fr locale
#2854 Remove hmm.pdf in test
#2947 Fix where image component decoding takes place.
#3027 Workaround for FF17 to be able to download the pdf file
#3029 Bump version number to 0.8.
#2919 Tweak external links in fullscreen mode - follow up on #2712
#3035 Fix for Issue 2998 – "Consider using 'window.parent !== window' instead of `!!window.frameElement`"
#3018 Detect and add fallback if document colors are disabled in Firefox
#3019 Speeds up the CMYK color conversion
#3022 Explicitly define layout of toolbar buttons
#3036 Fixes pdf application switching in FF22/23 (redo)
#3038 Fix lab colorspace decoding and rgb conversion.
#3017 Chrome extension - Highly improved
#3043 Adds check for textDivs presence; removes textLayerQueue
#3046 Remove redundant getOperatorList()
#3049 Update zh-TW translation
#3052 Updated Japanese locale
#3051 Localized "web_colors_disabled" to Polish
#3045 Remove code that is not being used
#3047 Remove initialization code that's no longer used
#2967 Refactor 'cmap' generation
#3059 Github pages are now located at github.io
#3054 Disable outline button when unavailable
#3055 Update danish locale